/* Datei:  bit_io3.c
 * Author: gkemnitz
 * Datum:  27.01.2015
 *
 * Rechts- / Linkslauflicht: Wenn SW1 ein, 
 * dann rechts, sonst links.
 * Verlangt Schaltermodul an JA oben
 */ 

#include <avr/io.h>
uint32_t Ct;  // 32-Bit-Zaehler
uint8_t a=1;  // 8-Bit Ausgabewert

int main(void){
  // Initialisierung
  DDRA = 0;         // Port A (Schalter) Eingaenge
  DDRJ = 0xFF;      // Port J (LEDs) Ausgaenge
  while(1){
    // Warteschleife
    for (Ct=0; Ct<200000; Ct++);
    if (PINA & 0b1)// Rotation links
      a = (a<<1) | (a>>7);
    else           // Rotation rechts
      a = (a>>1) | (a<<7);
    PORTJ = a;	   // Ausgabe
  }
}