/* Datei:  test_com_pc.c
 * Author: gkemnitz
 * Datum:  27.01.2015
 *
 * Serielle PC-Kommunikation
 * Testprogramm
 *
 * PmodUSBUSART an JH (USART2)
 */ 

#include <avr/io.h>
#include "com_pc.h"

uint8_t a, b, s, d, q, r;
uint16_t p;
int main(){
	com_pc_init();
	while (1){
		a = getByte();	b = getByte();
		s = a + b;  // Summe
		d = a - b;	// Differenz
		p = a * b;	// Produkt
		q = a/b;		// ganzzahliger Quotient
		r = a%b;		// Divisionsrest
		sendByte(a);		sendByte(b);
		sendByte(s);		sendByte(d);
		sendByte(q);		sendByte(r);
		sendByte(p>>8); sendByte(p&0xFF);
	}
}
/*
int main(){
	com_pc_init();
	uint8_t text[]="Ausgabetext\n";
	while(1){
		uint8_t * ptr=text;
		getByte();
		while(*ptr){
			sendByte(*ptr);
			ptr++;
		}
	}
}
*/
