/* Datei:  mtest_quad.c
 * Author: gkemnitz
 * Datum:  23.05.2015
 *
 * Modultest fr eine Quadrierungsfunktion.
 * Test mit dem Simulator.
 */ 


#include <avr/io.h>

uint32_t quad(int16_t a){  // Quadratberechnung
  return (uint32_t)a*a;
}

struct test {
  int16_t x;  // Eingabe
  uint32_t y; // Sollausgabe
};

struct test testsatz[] ={// Eingabe Sollwert
  {0, 0},                // 0x0000 0x00000000
  {1, 1},                // 0x0001 0x00000001
  {9, 81},               // 0x0009 0x00000051
  {463, 214369},         // 0x01CF 0x00034561
  {0x7FFF, 1073676289}   // 0x7FFF 0x3FFF0001
};

int main(){
  uint8_t idx, err_ct=0;
  uint32_t erg;
  for (idx=0; idx<6;idx++){      // fuer alle Tests
    erg = quad(testsatz[idx].y); // Istwertberechnung
    if (erg != testsatz[idx].y)  // Soll/Ist-Vergleich
      err_ct++;                  // Versagen zaehlen
  }
}