/* Datei:  comir_pc.h
 * Autor: gkemnitz
 * letzte nderung: 02.11.2015
 *
 * Header fr den Gertetreiber comir_pc
 *
 * PmodUSBUSART an JH oben, JHX "gekreuzt (=)"
 */  


#ifndef COMIR_PC_H_
#define COMIR_PC_H_

  #include <avr/io.h>
	
  // Gre des Empfangs- und Sendepuffers
  #define COM_PC_RMSG_LEN  4
  #define COM_PC_SMSG_LEN  4

  void com_pc_init();        // Initialisierung
                             // Nachricht bernehmen
  uint8_t com_pc_get(uint8_t *msg);
                             // Nachricht bergeben
  uint8_t com_pc_send(uint8_t *msg);
		
  uint8_t com_pc_last_byte();// Rckgabe letztes Byte
  uint8_t com_pc_err();      // Fehlerabfrage

#endif /* COMIR_PC_H_ */